package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the accounttype database table.
 * 
 */
@Entity
public class AccountType implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idacctype;

	private String type;

	//bi-directional many-to-one association to AnotherAccount
	@OneToMany(mappedBy="accounttype")
	private List<AnotherAccount> anotheraccounts;

	public AccountType() {
	}

	public String getIdacctype() {
		return this.idacctype;
	}

	public void setIdacctype(String idacctype) {
		this.idacctype = idacctype;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public List<AnotherAccount> getAnotheraccounts() {
		return this.anotheraccounts;
	}

	public void setAnotheraccounts(List<AnotherAccount> anotheraccounts) {
		this.anotheraccounts = anotheraccounts;
	}

}